<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Array</title>
</head>
<body>

    <h1>Berlatih Array</h1>    


    <h3>Looping Array</h3>
    <div id="jawaban1"></div>


    <script>

       /* 
            SOAL NO. 1 LOOPING PADA ARRAY
            Buatlah sebuah fungsi dengan nama dataHandling() dengan sebuah parameter untuk menerima argumen. Argumen yang akan diterima 
adalah sebuah 
            array yang berisi beberapa array sejumlah n. Contoh input dapat dilihat dibawah:

            var input = [
                ["0001", "Roman Alamsyah", "Bandar Lampung", "21/05/1989", "Membaca"],
                ["0002", "Dika Sembiring", "Medan", "10/10/1992", "Bermain Gitar"],
                ["0003", "Winona", "Ambon", "25/12/1965", "Memasak"],
                ["0004", "Bintang Senjaya", "Martapura", "6/4/1970", "Berkebun"]
            ]

            Tugas kamu adalah mengimplementasikan fungsi dataHandling agar dapat menampilkan data-data pada dari argumen seperti di bawah ini:

            Nomor ID:  0001
            Nama Lengkap:  Roman Alamsyah
            TTL:  Bandar Lampung 21/05/1989
            Hobi:  Membaca

            Nomor ID:  0002
            Nama Lengkap:  Dika Sembiring
            TTL:  Medan 10/10/1992
            Hobi:  Bermain Gitar

            Nomor ID:  0003
            Nama Lengkap:  Winona
            TTL:  Ambon 25/12/1965
            Hobi:  Memasak

            Nomor ID:  0004
            Nama Lengkap:  Bintang Senjaya
            TTL:  Martapura 6/4/1970
            Hobi:  Berkebun

        */

        var input = [
                ["0001", "Roman Alamsyah", "Bandar Lampung", "21/05/1989", "Membaca"],
                ["0002", "Dika Sembiring", "Medan", "10/10/1992", "Bermain Gitar"],
                ["0003", "Winona", "Ambon", "25/12/1965", "Memasak"],
                ["0004", "Bintang Senjaya", "Martapura", "6/4/1970", "Berkebun"]
            ]
        
        // Code kamu di sini, lakukan looping terhadap input di atas
        
        var jawaban1 = "" // =  Isikan outputnya di sini
        for (let i = 0; i < input.length; i++) {
            for (let j = 0; j < input[i].length; j++) {
                if (j == 0) {
                    jawaban1 += `Nomor ID: ${input[i][j]} <br>`
                } else if ( j == 1) {
                    jawaban1 += `Nama Lengkap: ${input[i][j]} <br>`
                } else if ( j == 3) {
                    jawaban1 += `TTL: ${input[i][j]} <br>`
                } else if ( j == 4) {
                    jawaban1 += `Hobi: ${input[i][j]} <br>`
                }
            }
            jawaban1 += `<br>`
        }
        document.getElementById("jawaban1").innerHTML = jawaban1  

    </script>
    
</body>
</html>